<?php 
/**
 * Plugin Name: Api Get With Sites Info (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/ApiGetWithSitesInfo
 * Description: Modifies the 'API.get' output to also list the website name and main website URL
 * Author: Matthieu Aubry
 * Author URI: https://github.com/mattab/piwik-plugin-ApiGetWithSitesInfo
 * Version: 0.1.6
 */
?><?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 *
 */
namespace Piwik\Plugins\ApiGetWithSitesInfo;

use Piwik\DataTable;
use Piwik\DataTable\DataTableInterface;

/**
 */
 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class ApiGetWithSitesInfo extends \Piwik\Plugin
{
    function registerEvents()
    {
        return array(
            'API.API.get.end' => 'decorateApiOutput',
        );
    }

    public function decorateApiOutput($dataTable)
    {
        if(!($dataTable instanceof DataTableInterface)) {
            return $dataTable;
        }
        $decorator = new DataTableDecorator($dataTable);
        $decorator->decorateApiGetOutput();
    }
}
